#include <iocslib.h>
#include "defines.h"
#include "akey.h"

int ChkWait100(long tm,int (*chk)())
/* 関数条件付1/100秒単位ウエイト（０の時は無限ウエイト）*/
/* 指定時間過ぎるか、chk()関数が０以外を返してきた時に終了する */
/* chk()には条件が満ちれば０以外を返す関数を指定する */
/* リターン値：0=条件を満たした , 1=時間切れ , 2=BREAK */
{
long tm0,t;
	tm0=ONTIME();
	while (chk()==0) {
		if (BreakSns()) return(2); /* BREAK */
		if (tm>0) {
			t=ONTIME()-tm0;
			if (t<0) t+=8640000;
			if (t>=tm) return(1); /* 時間切れ */
		}
	}
	/* ＯＫ */
	return(0);
}
